# mongoc_gridfs_bucket_abort_upload()

## Synopsis

    bool
    mongoc_gridfs_bucket_abort_upload (mongoc_stream_t *stream);

## Parameters

- `stream`: A mongoc_stream_t created by mongoc_gridfs_bucket_open_upload_stream() or mongoc_gridfs_bucket_open_upload_stream_with_id().

## Description

Aborts the upload of a GridFS upload stream.

## Returns

True on success. False otherwise, and sets an error on `stream`.

See also

mongoc_gridfs_bucket_open_upload_stream()
mongoc_gridfs_bucket_open_upload_stream_with_id()